Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.util
Class StringList

    java.lang.Object
      org.basex.util.StringList

All Implemented Interfaces:
  java.lang.Iterable<java.lang.String>

    public final class StringList

extends java.lang.Object
implements java.lang.Iterable<java.lang.String>

This is a simple container for string values.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Field Summary
`java.lang.String[]` | `list` Current string array.
`int` | `size` Number of strings.

Constructor Summary
`StringList()`

Method Summary
`void` | `add(java.lang.String s)` Adds a string to the array.
`boolean` | `contains(java.lang.String v)` Checks if the specified string is found in the list.
`java.lang.String[]` | `finish()` Returns the string array.
`java.util.Iterator<java.lang.String>` | `iterator()`
`void` | `reset()` Resets the integer list.
`void` | `sort()` Sorts the strings.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    public java.lang.String[] list

  Current string array.

### size

    public int size

  Number of strings.

Constructor Detail

### StringList

    public StringList()

Method Detail

### add

    public void add(java.lang.String s)

  Adds a string to the array.

  Parameters:
    `s` - string to be added

### contains

    public boolean contains(java.lang.String v)

  Checks if the specified string is found in the list.

  Parameters:
    `v` - string to be checked
  Returns:
    true if value is found

### finish

    public java.lang.String[] finish()

  Returns the string array.

  Returns:
    array

### reset

    public void reset()

  Resets the integer list.

### sort

    public void sort()

  Sorts the strings.

### iterator

    public java.util.Iterator<java.lang.String> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<java.lang.String>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD